package com.community.huiju.dao;
import com.community.huiju.model.TpHotel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TpHotelMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpHotel record);

    int insertSelective(TpHotel record);

    TpHotel selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpHotel record);

    int updateByPrimaryKeyWithBLOBs(TpHotel record);

    int updateByPrimaryKey(TpHotel record);

    /**
     * 根据小区查询当前小区酒店信息
     * @param CommunityId
     * @return
     */
    TpHotel selectCommunityHotel(@Param("communityId") Integer CommunityId);

    /**
     * 酒店开关是否存在
     * @param communityId
     * @return
     */
    String hotelSetting(@Param("communityId") Integer communityId);
}